# -*- coding: utf-8 -*-

#    VOXplot
#    
#    Copyright: Jörg Mayer
#    Email: joerg.mayer@lingphon.com
#    Web: https://voxplot.lingphon.com
#    
#    VOXplot is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#    
#    VOXplot is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#    
#    You should have received a copy of the GNU General Public
#    License along with VOXplot (cf. COPYING). If not, see
#    https://www.gnu.org/licenses/gpl-3.0.en.html



import tkinter as tk
from tkinter import ttk
# from tkinter.messagebox import showerror, showinfo
import urllib.request
import webbrowser
# from datetime import datetime



class Window(tk.Toplevel):
	'''display donation info

	:param parent: Object, reference to parent window
	:param ASet: Object, reference to AppSettings instance (~global variables)
	'''
	def __init__(self, parent, ASet):
		super().__init__(parent)
		self.resizable(tk.FALSE,tk.FALSE)
		self.grab_set()
		self.attributes('-topmost', 1)
		self.protocol('WM_DELETE_WINDOW', self.close_pressed)
		self.aset = ASet

		self.aset.style.configure('Head.TLabel', font=self.aset.font_family + ' ' + str(self.aset.font_size + 2) + ' bold')

		ab_frame = ttk.Frame(self, padding=(75,10,75,10))
		ab_frame.grid(column=0, row=0)
		self.columnconfigure(0, weight=0)
		self.rowconfigure(0, weight=0)

		self.logoimg = tk.PhotoImage(file=self.aset.logo_s)
		self.logo = ttk.Label(ab_frame,
			text=self.aset.app_name,
			font=f'-family {self.aset.font_family} -size 18 -weight bold',
			image=self.logoimg,
			compound='top'
			)
		self.logo.grid(column=0, row=0)
		ttk.Label(
			ab_frame,
			text="– Acoustic Voice Quality Profile –",
			# font='-weight bold',
			style='Head.TLabel',
			).grid(column=0, row=1, pady=(0,30))


		ttk.Label(
			ab_frame,
			text="If you want to support the development of VOXplot, please consider a donation."
			).grid(column=0, row=6, pady=(0,3))
		ttk.Label(
			ab_frame,
			text="This will ensure that the project continues to be actively maintained."
			).grid(column=0, row=7, pady=(0,3))
		ttk.Label(
			ab_frame,
			text="If you want to donate later, you can do so on our website."
			).grid(column=0, row=8, pady=(0,3))
		ttk.Label(
			ab_frame,
			text="(voxplot.lingphon.com)"
			).grid(column=0, row=9, pady=(0,3))

		ttk.Label(
			ab_frame,
			text="Thank you!",
			# font='-weight bold',
			style='Head.TLabel',
			).grid(column=0, row=15, pady=(5,0))

		ttk.Button(
			ab_frame,
			text="Donate",
			command=self.donate
			).grid(column=0, row=20, pady=(10,30))


		btn_frame = ttk.Frame(ab_frame)
		btn_frame.grid(column=0, row=40, pady=(0,0), sticky='we')
		btn_frame.columnconfigure(0, weight=1)
		ttk.Button(
			btn_frame,
			text="Close",
			command=self.close_pressed
			).grid(column=0, row=0)

		self.bind('<KeyPress-Escape>', self.close_pressed)


	def close_pressed(self, *args):
		self.destroy()


	def donate(self):
		webbrowser.open_new('https://www.paypal.com/donate/?hosted_button_id=9SYWMK8RSAZD4')
		self.destroy()

